%define upstream_name    Alien-GvaScript
%define upstream_version 1.45

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Gva extension to the prototype javascript framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
GvaScript (pronounce "gee-vascript") is a javascript framework born in
Geneva, Switzerland (GVA is the IATA code for Geneva Cointrin
International Airport).

It is built on top of the prototype object-oriented javascript framework
(http://prototype.conio.net) and offers a number of extensions and
widgets, such as keymap handling, application-specific events,
autocompletion on input field, tree navigation, and forms with autofocus
and repeated sections. These functionalities are described in separate
documentation pages (see Alien::GvaScript::Intro).

GvaScript is distributed using Perl tools, but the actual content of the
library is pure javascript; hence its location in the Alien namespace
(see the Alien manifesto).

GvaScript runtime library does not need Perl; you can integrate it in
any other Web programming framework. Perl is only needed for developers
who want to modify GvaScript sources and recreate a distribution
package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir %buildroot

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.450.0-4.mga8
+ Revision: 1503427
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.450.0-3.mga7
+ Revision: 1281565
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.450.0-2.mga7
+ Revision: 1162798
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 guillomovitch <guillomovitch> 1.450.0-1.mga7
+ Revision: 1155350
- new version 1.45

* Sat Jun 18 2016 pterjan <pterjan> 1.440.0-5.mga6
+ Revision: 1022269
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.440.0-4.mga6
+ Revision: 930257
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.440.0-3.mga5
+ Revision: 750629
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.440.0-2.mga5
+ Revision: 683464
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 1.440.0-1.mga5
+ Revision: 665933
- update to 1.44

* Mon Oct 21 2013 umeabot <umeabot> 1.430.0-2.mga4
+ Revision: 537569
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.430.0-1.mga4
+ Revision: 487260
- update to 1.43

* Mon Jun 03 2013 jquelin <jquelin> 1.420.0-1.mga4
+ Revision: 436556
- update to 1.42

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 362918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 1.410.0-1.mga3
+ Revision: 285068
- update to 1.41

* Fri Jan 21 2011 jquelin <jquelin> 1.220.0-1.mga1
+ Revision: 28359
- mageia rebuild
- imported package perl-Alien-GvaScript

